Gtk2::SourceView2::Mark(3)

NAME
Gtk2::SourceView2::Mark

HIERARCHY
  Glib::Object
  +----Gtk2::TextMark
       +----Gtk2::SourceView2::Mark

METHODS

  mark = Gtk2::SourceView2::Mark->new ($name, $category)

•   $name (string or undef)

•   $category (string)

  string = $mark->get_category

  mark or undef = $mark->next ($category)

•   $category (string or undef)

  mark or undef = $mark->prev ($category)

•   $category (string or undef)

PROPERTIES

'category' (string : default undef : readable / writable / construct-only)
    The mark category

SEE ALSO
Gtk2::SourceView2, Glib::Object, Gtk2::TextMark

COPYRIGHT
Copyright (C) 2009 by Emmanuel Rodriguez